diff --git a/DEVELOPERS b/DEVELOPERS
index 8318fb5cb4..3ecdb4a93c 100644
--- a/DEVELOPERS
+++ b/DEVELOPERS
@@ -1657,6 +1657,7 @@ F:	package/ejabberd/
 F:	package/erlang-base64url/
 F:	package/erlang-eimp/
 F:	package/erlang-fast-xml/
+F:	package/erlang-fast-yaml/
 F:	package/erlang-goldrush/
 F:	package/erlang-idna/
 F:	package/erlang-jiffy/
@@ -1671,7 +1672,6 @@ F:	package/erlang-p1-sip/
 F:	package/erlang-p1-stringprep/
 F:	package/erlang-p1-tls/
 F:	package/erlang-p1-utils/
-F:	package/erlang-p1-yaml/
 F:	package/erlang-p1-yconf/
 F:	package/erlang-p1-zlib/
 F:	package/erlang-stun/
diff --git a/package/Config.in b/package/Config.in
index 27902475cb..c2b361309e 100644
--- a/package/Config.in
+++ b/package/Config.in
@@ -674,6 +674,7 @@ menu "Erlang libraries/modules"
 	source "package/erlang-base64url/Config.in"
 	source "package/erlang-eimp/Config.in"
 	source "package/erlang-fast-xml/Config.in"
+	source "package/erlang-fast-yaml/Config.in"
 	source "package/erlang-goldrush/Config.in"
 	source "package/erlang-idna/Config.in"
 	source "package/erlang-jiffy/Config.in"
@@ -688,7 +689,6 @@ menu "Erlang libraries/modules"
 	source "package/erlang-p1-stringprep/Config.in"
 	source "package/erlang-p1-tls/Config.in"
 	source "package/erlang-p1-utils/Config.in"
-	source "package/erlang-p1-yaml/Config.in"
 	source "package/erlang-p1-yconf/Config.in"
 	source "package/erlang-p1-zlib/Config.in"
 	source "package/erlang-stun/Config.in"
diff --git a/package/ejabberd/Config.in b/package/ejabberd/Config.in
index e631e665d1..f46e40035d 100644
--- a/package/ejabberd/Config.in
+++ b/package/ejabberd/Config.in
@@ -4,6 +4,7 @@ config BR2_PACKAGE_EJABBERD
 	depends on BR2_INSTALL_LIBSTDCPP # jiffy, stringprep
 	select BR2_PACKAGE_ERLANG_EIMP
 	select BR2_PACKAGE_ERLANG_FAST_XML
+	select BR2_PACKAGE_ERLANG_FAST_YAML
 	select BR2_PACKAGE_ERLANG_IDNA # runtime
 	select BR2_PACKAGE_ERLANG_JIFFY # runtime
 	select BR2_PACKAGE_ERLANG_JOSE # runtime
@@ -17,7 +18,6 @@ config BR2_PACKAGE_EJABBERD
 	select BR2_PACKAGE_ERLANG_P1_STRINGPREP
 	select BR2_PACKAGE_ERLANG_P1_TLS
 	select BR2_PACKAGE_ERLANG_P1_UTILS
-	select BR2_PACKAGE_ERLANG_P1_YAML
 	select BR2_PACKAGE_ERLANG_P1_YCONF # runtime
 	select BR2_PACKAGE_ERLANG_P1_ZLIB
 	select BR2_PACKAGE_ERLANG_STUN
diff --git a/package/ejabberd/ejabberd.mk b/package/ejabberd/ejabberd.mk
index 3824f2a530..58b544fb84 100644
--- a/package/ejabberd/ejabberd.mk
+++ b/package/ejabberd/ejabberd.mk
@@ -12,7 +12,7 @@ EJABBERD_CPE_ID_VENDOR = process-one
 EJABBERD_DEPENDENCIES = getent openssl erlang-eimp host-erlang-lager \
 	erlang-lager erlang-p1-cache-tab erlang-p1-sip \
 	erlang-p1-stringprep erlang-stun erlang-p1-tls \
-	erlang-p1-utils erlang-fast-xml erlang-xmpp erlang-p1-yaml \
+	erlang-p1-utils erlang-fast-xml erlang-xmpp erlang-fast-yaml \
 	erlang-p1-zlib host-erlang-p1-utils host-erlang-xmpp
 
 # 0001-Makefile.in-do-not-download-or-compile-dependencies.patch
diff --git a/package/erlang-p1-yaml/Config.in b/package/erlang-fast-yaml/Config.in
similarity index 51%
rename from package/erlang-p1-yaml/Config.in
rename to package/erlang-fast-yaml/Config.in
index 2ab78d1296..8c9d47f044 100644
--- a/package/erlang-p1-yaml/Config.in
+++ b/package/erlang-fast-yaml/Config.in
@@ -1,8 +1,8 @@
-config BR2_PACKAGE_ERLANG_P1_YAML
-	bool "erlang-p1-yaml"
+config BR2_PACKAGE_ERLANG_FAST_YAML
+	bool "erlang-fast-yaml"
 	select BR2_PACKAGE_ERLANG_P1_UTILS
 	select BR2_PACKAGE_LIBYAML
 	help
 	  Erlang wrapper for libyaml C library
 
-	  https://github.com/processone/p1_yaml
+	  https://github.com/processone/fast_yaml
diff --git a/package/erlang-p1-yaml/erlang-p1-yaml.hash b/package/erlang-fast-yaml/erlang-fast-yaml.hash
similarity index 50%
rename from package/erlang-p1-yaml/erlang-p1-yaml.hash
rename to package/erlang-fast-yaml/erlang-fast-yaml.hash
index 0138f82047..863781725d 100644
--- a/package/erlang-p1-yaml/erlang-p1-yaml.hash
+++ b/package/erlang-fast-yaml/erlang-fast-yaml.hash
@@ -1,3 +1,3 @@
 # Locally calculated
-sha256  6794470ef35fb3985c4e9aa0ed8d3a0b44e7a5c7bf4c5a1efbeca42060db6806  erlang-p1-yaml-1.0.36.tar.gz
+sha256  a8d632d97282cfdf54a0172df59d8641f37de690dd886d0b2e4ef0d4ff876077  erlang-fast-yaml-1.0.37.tar.gz
 sha256  cfc7749b96f63bd31c3c42b5c471bf756814053e847c10f3eb003417bc523d30  LICENSE.txt
diff --git a/package/erlang-fast-yaml/erlang-fast-yaml.mk b/package/erlang-fast-yaml/erlang-fast-yaml.mk
new file mode 100644
index 0000000000..675dba0839
--- /dev/null
+++ b/package/erlang-fast-yaml/erlang-fast-yaml.mk
@@ -0,0 +1,20 @@
+################################################################################
+#
+# erlang-fast-yaml
+#
+################################################################################
+
+ERLANG_FAST_YAML_VERSION = 1.0.37
+ERLANG_FAST_YAML_SITE = $(call github,processone,fast_yaml,$(ERLANG_FAST_YAML_VERSION))
+ERLANG_FAST_YAML_LICENSE = Apache-2.0
+ERLANG_FAST_YAML_LICENSE_FILES = LICENSE.txt
+ERLANG_FAST_YAML_DEPENDENCIES = libyaml erlang-p1-utils
+
+define ERLANG_FAST_YAML_REMOVE_PATHS
+	$(SED) "s/ -I\/usr\/local\/include//" $(@D)/rebar.config
+	$(SED) "s/ -L\/usr\/local\/lib//" $(@D)/rebar.config
+endef
+
+ERLANG_FAST_YAML_POST_PATCH_HOOKS = ERLANG_FAST_YAML_REMOVE_PATHS
+
+$(eval $(rebar-package))
diff --git a/package/erlang-p1-yaml/erlang-p1-yaml.mk b/package/erlang-p1-yaml/erlang-p1-yaml.mk
deleted file mode 100644
index 17f4910ee1..0000000000
--- a/package/erlang-p1-yaml/erlang-p1-yaml.mk
+++ /dev/null
@@ -1,20 +0,0 @@
-################################################################################
-#
-# erlang-p1-yaml
-#
-################################################################################
-
-ERLANG_P1_YAML_VERSION = 1.0.36
-ERLANG_P1_YAML_SITE = $(call github,processone,fast_yaml,$(ERLANG_P1_YAML_VERSION))
-ERLANG_P1_YAML_LICENSE = Apache-2.0
-ERLANG_P1_YAML_LICENSE_FILES = LICENSE.txt
-ERLANG_P1_YAML_DEPENDENCIES = libyaml erlang-p1-utils
-
-define ERLANG_P1_YAML_REMOVE_PATHS
-	$(SED) "s/ -I\/usr\/local\/include//" $(@D)/rebar.config
-	$(SED) "s/ -L\/usr\/local\/lib//" $(@D)/rebar.config
-endef
-
-ERLANG_P1_YAML_POST_PATCH_HOOKS = ERLANG_P1_YAML_REMOVE_PATHS
-
-$(eval $(rebar-package))
diff --git a/package/erlang-p1-yconf/Config.in b/package/erlang-p1-yconf/Config.in
index 3777ebbe14..987b511878 100644
--- a/package/erlang-p1-yconf/Config.in
+++ b/package/erlang-p1-yconf/Config.in
@@ -1,5 +1,5 @@
 config BR2_PACKAGE_ERLANG_P1_YCONF
 	bool "erlang-p1-yconf"
-	select BR2_PACKAGE_ERLANG_P1_YAML
+	select BR2_PACKAGE_ERLANG_FAST_YAML
 	help
 	  YAML configuration processor.
diff --git a/package/erlang-p1-yconf/erlang-p1-yconf.mk b/package/erlang-p1-yconf/erlang-p1-yconf.mk
index 81f7462884..bc72f282a9 100644
--- a/package/erlang-p1-yconf/erlang-p1-yconf.mk
+++ b/package/erlang-p1-yconf/erlang-p1-yconf.mk
@@ -8,6 +8,6 @@ ERLANG_P1_YCONF_VERSION = 1.0.15
 ERLANG_P1_YCONF_SITE = $(call github,processone,yconf,$(ERLANG_P1_YCONF_VERSION))
 ERLANG_P1_YCONF_LICENSE = Apache-2.0
 ERLANG_P1_YCONF_LICENSE_FILES = LICENSE
-ERLANG_P1_YCONF_DEPENDENCIES = erlang-p1-yaml
+ERLANG_P1_YCONF_DEPENDENCIES = erlang-fast-yaml
 
 $(eval $(rebar-package))